:root {
  --primary-color: #dead05;
  --secondary: #e4bf59;
  --primary-color-200: rgba(222, 173, 5, 0.2);
  --primary-color-400: rgba(222, 173, 5, 0.4);
  --primary-color-hover: #bd950b;
  --secondary-color: #373435;
  --tertiary-color: #d2d3d5;
  --logo-color: linear-gradient(134.72deg, #dead05 51%, #de9104 100%);
  --info-color: #17a2b8;
  --message-model-approved-outer: #86efac;
  --message-model-approved-inner: #14532d;
  --message-model-pending-outer: #fde047;
  --message-model-pending-inner: #713f12;
  --message-model-rejected-outer: #fca5a5;
  --message-model-rejected-inner: #7f1d1d;

  --bg-sand-yellow: #f4efe6;

  /* Gray Scales */
  --gray-50: #ffffff;
  --gray-100: #f5f5f5;
  --gray-200: #ece9e9;
  --gray-300: #e0e0e0;
  --gray-400: #c2c2c2;
  --gray-500: #999999;
  --gray-600: #7e7e7e;
  --gray-700: #616161;
  --gray-800: #424242;
  --gray-900: #353132;
  --gray-1000: #0a0d14;
  --clear-text: #959595;

  --border-gray: #d9d9d9;

  /* Alert/Status  */
  --status-success: #33bc6a;
  --status-sucess-hover: #289453;
  --status-information: #0049de;
  --status-information-hover: #003ab1;
  --status-warning: #de7d24;
  --status-warning-hover: #bf6c1f;
  --status-error: #de423e;
  --status-error-hover: #a32e2a;
  --status-disable: #bdbdbd;
  --status-hover: #999999;
  --status-select: #c8b7fc;
  --status-online: #1dc958;
  --status-offline: #df4251;
  /* Complementary */
  --complementary-1: #ff7e75;
  --complementary-2: #f2be1f80;
  --complementary-3: #5b88a8;
  --complementary-4: #7ba67c;
  --complementary-5: #ffe8e7;
  --complementary-6: #f8f2d3;
  --complementary-7: #dbf6fe;
  --complementary-8: #d9fad8;
  /* Gradients */
  --primary-gradient: linear-gradient(134.72deg, #dead05 51%, #de9104 100%);
  --secondary-gradient: linear-gradient(138deg, #c0b0f1 0%, #5727e1 100%);
  --tertiary-gradient: linear-gradient(138deg, #7a6ba8 0%, #704bd4 100%);
  --modal-gradient: linear-gradient(135deg, #fbfbfb 100%, #ffffff 0%);
  /*Text*/
  --black-text: #2f3134;
  /*Background Alerts*/
  --background-alert-success: #b4facc;
  --background-alert-danger: #f4a4a4;
  /*    Supervisor color cards*/
  --done-outer: #d9fad8;
  --in-progress-outer: #dbf6fe;
  --waiting-outer: #f8f2d3;
  --bot-outer: #ffe8e7;
  --waiting-rating-outer: rgba(242, 190, 31, 0.5);
  --waiting-rating-inner: #f2be1f;
  /*    Sizing*/
  --chat-reply-container-margin: 64px;
  --width-msg-bubble-with-media: 336px;
  --max-width-model-message-bubble: 360px;
  --dropup-quick-answers-ul-max-height: 360px;
  /*Whatsapp*/
  --double-check-color: #2355e9;

  --green-accent-bg: #a5e6bf5d;
  --green-accent-foreground: #3f644e;
  --blue-accent-bg: #a5c8f55d;
  --blue-accent-foreground: #2b5177;
  --orange-accent-bg: #f9c28f5d;
  --orange-accent-foreground: #7f4e2f;
  --yellow-accent-bg: #f2be1f5d;

  --yellow-accent-foreground: #685106;
  --danger-accent-bg: #c440405d;

  --text-muted: #6c757d;
}

/* Wrapped in a named layer (not left unlayered) so Tailwind's own `utilities` layer -
   registered later, when the React island's stylesheet loads - can actually override it.
   Per the CSS Cascade Layers spec, an unlayered rule always beats a layered one regardless
   of specificity, which is why plain `tw:p-6` etc. used to silently lose to this reset. */
@layer legacy-reset {
  * {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
    box-sizing: border-box;
  }
}

/* SCROLLBAR */
/* width */
::-webkit-scrollbar {
  width: 5px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #7a703d63;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: var(--gray-700);
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: var(--gray-700);
}

body {
  font:
    12px "Open Sans",
    sans-serif;
}

@font-face {
  font-family: OpenSansRegular;
  src: url("../webfonts/Open_Sans/OpenSans-Regular.ttf");
  font-weight: 400;
}

@font-face {
  font-family: OpenSansSemiBold;
  src: url("../webfonts/Open_Sans/OpenSans-SemiBold.ttf");
  font-weight: 600;
}

@font-face {
  font-family: OpenSansBold;
  src: url("../webfonts/Open_Sans/OpenSans-Bold.ttf");
  font-weight: 700;
}

@font-face {
  font-family: OpenSansItalic;
  src: url("../webfonts/Open_Sans/OpenSans-Italic.ttf");
}

main.page-content {
  padding: 2rem !important;
}

/* main.page-content:has(.fila-main) {
  padding: 0rem !important;
} */

.nav-menu li {
  padding: 8px;
}

.nav-menu li a {
  padding: 0.8rem 1rem !important;
  border-radius: 4px;
  color: var(--secondary-color);
  transition: all 200ms linear;
}

.nav-menu li:hover {
  cursor: pointer;
}

.nav-menu li:hover > a,
.nav-menu li > ul li a:hover {
  background: var(--complementary-6);
  color: var(--black-text) !important;
}

.nav-menu li:hover .collapse-sign {
  color: var(--complementary-2) !important;
}

.nav-menu li:hover a i::before {
  color: var(--black-text);
}

#js-nav-menu li a b {
  color: var(--secondary-color);
}

.nav-menu .selected {
  background: var(--complementary-2);
  color: var(--black-text);
}

.selected i,
.selected span {
  color: var(--black-text) !important;
}

.page-logo,
.page-sidebar {
  background-color: #fff !important;
  background-image: none !important;
  width: fit-content !important;
  max-height: 100%;
}

footer.page-content {
  padding: 1rem !important;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.contact-details-image {
  width: 5.125rem;
  height: 5.125rem;
}

.contact-informations {
  display: flex;
  flex-direction: column;
  gap: 5px;
  padding: 1rem;
  border-width: 2px;
  border-style: solid;
  border-image: linear-gradient(
      to bottom,
      var(--primary-color),
      var(--secondary-color)
    )
    1 100%;
  border-right: 0;
  border-top: 0;
  border-bottom: 0;
}

.action-button {
  /* min-width: 7rem; */
  margin: 3px;
  padding: 0.3rem 0.6rem;
  border-radius: 0.6rem;
}

.info-button {
  background-color: var(--gray-50);
  border: 1px solid var(--primary-color);
  color: var(--black-text);
  border-radius: 12px;
}

.info-button:hover {
  background-color: var(--complementary-2);
  cursor: pointer;
}

.warning-button {
  background-color: var(--status-warning);
  color: var(--gray-50);
}

.warning-button:hover {
  background-color: var(--status-warning-hover);
  cursor: pointer;
}

.error-button {
  background-color: var(--status-error);
  color: var(--gray-50);
}

.error-button:hover {
  background-color: var(--status-error-hover);
  cursor: pointer;
}

.action-buttons {
  display: flex;
  gap: 6px;
}

.export-button:hover {
  background-color: var(--gray-400);
}

.card-message {
  gap: 18px;
  border-radius: 0px 0px 3px 0px;
  width: 100%;
  display: flex;
  align-items: center;
  background-color: var(--gray-50);
}

.card-message a i {
  font-size: 1.2rem;
}

#enviar_msg,
#send_message {
  flex-basis: 0;
}

.chat-segment {
  display: flex;
  flex-direction: column;
  margin: 0rem 1rem;
  margin-bottom: 1rem;
  padding: 0.5rem;
  border-radius: 12px;
  max-width: fit-content;
  position: relative;
}

.chat-segment.time {
  margin: 0 auto;
  max-width: 100%;
  text-align: center;
}

.chat-segment .time {
  text-align: right;
}

.chat-segment .time span {
  margin-right: 0.3rem;
}

.chat-segment.time span {
  background: var(--gray-50);
  padding: 6px;
  border-radius: 6px;
  font-size: 14px;
  color: var(--gray-50);
  color: var(--primary-color);
  opacity: 0.8;
}

.chat-segment .person-info {
  margin-bottom: 0.5rem;
}

.chat-segment .person-info img {
  width: 24px;
}

.chat-segment.get {
  background: var(--gray-50);
  color: var(--gray-800);
  margin-right: 5rem;
}

.chat-segment.sent {
  align-self: end;
  background: var(--complementary-2);
  color: var(--gray-50);
  margin-left: 5rem;
}

.chat-info .chat-name {
  color: var(--black-text);
}

.border-gray-200 {
  border: 1px solid var(--gray-200) !important;
}

.border-gray-400 {
  border: 1px solid var(--gray-400) !important;
}

.background-primary-1 {
  background-color: var(--primary) !important;
}

.background-secondary {
  background-color: var(--secondary-color) !important;
}

.background-tertiary {
  background: var(--tertiary-color);
}

.background-complementary-1 {
  background: var(--complementary-1) !important;
}

.background-status-error {
  color: var(--status-error);
}

.background-color-info {
  background-color: var(--info-color) !important;
}

.text-background-logo {
  background: var(--primary-gradient);
  -webkit-background-clip: text;
  -moz-background-clip: text;
  -webkit-text-fill-color: transparent;
  -moz-text-fill-color: transparent;
}

.text-primary {
  color: var(--primary-color) !important;
}

.text-black {
  color: var(--black-text) !important;
}

.text-secondary {
  color: var(--secondary-color);
}

.text-status-error {
  color: var(--status-error);
  font-family: OpenSansRegular;
  font-size: 12px;
  margin-top: 5px;
}

.background-primary {
  background: var(--primary-color) !important;
}

.text-background-primary {
  color: var(--primary-color) !important;
}

.background-status-success {
  background: var(--status-success);
}

.background-primary-gradient {
  background: var(--primary-gradient);
}

.background-modal-gradient {
  background: var(--modal-gradient) !important;
}

.background-gray-50 {
  background: var(--gray-50) !important;
}

.background-online {
  background: var(--status-online) !important;
}

.background-offline {
  background-color: var(--status-offline) !important;
}

.background-gray-100 {
  background: var(--gray-100);
}

.background-color-gray-200 {
  background-color: var(--gray-200) !important;
}

.background-gray-300 {
  background: var(--gray-300);
}

.background-tertiary {
  background: var(--tertiary-color) !important;
}

.text-background-status-error {
  color: var(--status-error) !important;
}

.text-background-gray-50 {
  color: var(--gray-50) !important;
}

.text-clear-text {
  color: var(--clear-text) !important;
}

.background-gray-200 {
  background: var(--gray-200) !important;
}

.text-background-gray-100 {
  color: var(--gray-100) !important;
}

.text-background-gray-200 {
  color: var(--gray-200) !important;
}

.text-background-gray-800 {
  color: var(--gray-800) !important;
}

.text-background-gray-900 {
  color: var(--gray-900);
}

.text-background-gray-dark {
  color: var(--gray-1000) !important;
}

.background-gray-600 {
  color: var(--gray-600) !important;
}

.text-background-gray-600 {
  color: var(--gray-600) !important;
}

.text-background-gray-700 {
  color: var(--gray-700) !important;
}

.text-background-primary {
  color: var(--primary-color);
}

.background-gray-600 {
  color: var(--gray-600) !important;
}

.background-color-gray-600 {
  background-color: var(--gray-600) !important;
}

.background-gray-800 {
  color: var(--gray-800) !important;
}

.text-background-status-success {
  color: var(--status-success);
}

.border-bottom-gray-200 {
  border-bottom: 1px solid var(--gray-200) !important;
}

.semi-bold {
  font-family: OpenSansSemiBold;
}

.heading-1 {
  font-family: OpenSansBold;
  font-size: 32px;
  line-height: 125%;
}

.heading-2 {
  font-family: OpenSansBold;
  font-size: 18px;
  line-height: 125%;
}

.heading-3 {
  font-family: OpenSansBold;
  font-size: 22px;
  line-height: 125%;
}

.heading-4 {
  font-family: OpenSansBold;
  font-size: 20px;
  line-height: 125%;
}

.heading-5 {
  font-family: OpenSansBold;
  font-size: 18px !important;
  line-height: 125% !important;
}

.text-xg-regular {
  font-family: OpenSansRegular;
  font-size: 24px;
}

.text-xg-semibold {
  font-family: OpenSansSemiBold;
  font-size: 24px;
}

.text-xg-bold {
  font-family: OpenSansBold;
  font-size: 24px;
}

.text-lg-regular {
  font-family: OpenSansRegular !important;
  font-size: 16px !important;
}

.text-lg-semibold {
  font-family: OpenSansSemiBold;
  font-size: 16px;
}

.text-lg-bold {
  font-family: OpenSansBold !important;
  font-size: 16px !important;
}

.text-md-regular {
  font-family: OpenSansRegular;
  font-size: 14px !important;
  font-weight: 400;
}

.text-md-semibold {
  font-family: OpenSansSemiBold;
  font-size: 14px;
}

.text-md-bold {
  font-family: OpenSansBold;
  font-size: 14px;
}

.text-sm-regular {
  font-family: OpenSansRegular;
  font-size: 12px;
}

.text-sm-semibold {
  font-family: OpenSansSemiBold;
  font-size: 12px;
}

.text-sm-bold {
  font-family: OpenSansBold;
  font-size: 12px;
}

.logo {
  color: var(--logo-color) !important;
  height: 40px;
}

.logo.tip {
  display: none;
}
.nav-function-minify .logo.greater {
  display: none;
}
.nav-function-minify .logo.tip {
  display: block;
  min-width: 76px;
}

select,
input[name="daterange"] {
  color: var(--gray-800);
  font-family: OpenSansRegular;
  font-size: 14px;
}

.dataTables_wrapper .dataTables_filter input {
  background: var(--gray-50);
  font-family: OpenSansRegular;
  font-size: 16px;
  border-radius: 4px;
  color: var(--gray-800) !important;
}

tbody tr td {
  font-family: OpenSansRegular;
  font-size: 15px;
  color: var(--gray-800);
}

.dataTable thead {
}

thead {
  background: var(--gray-50);
}

tr th:first-child {
  border-radius: 4px 0px 0px 0px;
}

tr th:last-child {
  border-radius: 0px 4px 0px 0px;
}

.dataTables_info {
  font-family: OpenSansRegular;
  font-size: 13px;
  color: var(--gray-600) !important;
}

#contacts-table_paginate {
  font-family: OpenSansRegular;
  font-size: 14px;
  color: var(--gray-600) !important;
}

.break-word-all {
  word-break: break-all;
}

.page-item.active,
.page-item:hover {
  background: var(--primary-gradient) !important;
  border-radius: 4px;
}

.page-item:hover .page-link {
  color: var(--black-text) !important;
}

.previous:hover > .page-link,
.next:hover > .page-link {
  background: var(--primary-gradient) !important;
  color: var(--gray-50) !important;
}

.back-button {
  text-decoration: none;
  padding: 8px 22px;
  border-radius: 4px;
  border: 2px solid #424242;
  color: #424242;
  text-align: center;
  transition: ease-in;
}

button.back-button {
  background: transparent;
}

button.back-button:hover {
  color: #ffffff;
  background: #424242;
}

.back-button:hover {
  color: #ffffff;
  background: #424242;
}

.save-button {
  background: var(--status-success);
  border-radius: 4px;
  cursor: pointer;
  padding: 10px 24px;
  transition: ease-in;
}

.logo-background {
  border-radius: 14px;
  padding: 15px;
  background: var(--gray-50);
}

.save-button:hover {
  background: var(--status-sucess-hover);
}

tr th {
  font-family: OpenSansRegular !important;
  color: var(--gray-700) !important;
  font-size: 14px !important;
}

tr td {
  font-family: OpenSansRegular !important;
  color: var(--gray-800) !important;
  font-size: 16px !important;
}

.copy:hover {
  cursor: pointer;
}

.contact-card {
  display: flex;
  align-items: start;
  width: 350px;
  background-color: var(--gray-50);
  border-radius: 4px;
  padding: 10px;
}

.alert-status-error {
  color: #f87171;
  background: #fecaca;
  font-family: OpenSansSemiBold;
  font-size: 14px;
  text-align: center;
  padding: 10px 25px;
  border-radius: 4px;
}

.alert-status-success {
  color: #16a34a;
  background: #4ade80;
  font-family: OpenSansSemiBold;
  font-size: 14px;
  text-align: center;
  padding: 10px 25px;
  border-radius: 4px;
}

.online-container {
  background: var(--status-online);
  color: var(--gray-50);
  text-align: center;
  padding: 0.35rem 0.75rem;
  border-radius: 4px;
  font-family: OpenSansRegular;
  font-size: 14px;
  cursor: pointer;
}

.logo-text {
  background: var(--primary-gradient);
  -webkit-background-clip: text;
  -moz-background-clip: text;
  -webkit-text-fill-color: transparent;
  -moz-text-fill-color: transparent;
}

.text-primary-gradient {
  background: var(--primary-gradient);
  -webkit-background-clip: text;
  -moz-background-clip: text;
  -webkit-text-fill-color: transparent;
  -moz-text-fill-color: transparent;
}

.offline-container {
  background: var(--status-offline);
  color: var(--gray-50);
  text-align: center;
  padding: 0.35rem 0.75rem;
  border-radius: 4px;
  font-family: OpenSansRegular;
  font-size: 14px;
  cursor: pointer;
}

.d-none {
  display: none !important;
}

.d-block {
  display: block !important;
}

.text-center {
  text-align: center !important;
}

.align-middle {
  vertical-align: middle !important;
}

.flex-grow-1 {
  flex-grow: 1;
}

input[type="search"]::-webkit-search-cancel-button {
  -webkit-appearance: none;
  background-color: var(--primary-color);
  -webkit-mask-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='%23777'><path d='M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z'/></svg>");
  background-size: 20px 20px;
  height: 20px;
  width: 20px;
}

input[type="search"]::-webkit-search-cancel-button:hover {
  cursor: pointer;
}

.w-auto {
  width: auto;
}

.hide {
  display: none;
}
.show {
  display: block;
}
.cursor-pointer {
  cursor: pointer;
}

.card canvas {
  width: 100%;
  max-height: 350px !important;
}

.dataTables_filter .input-group-text {
  background: var(--gray-50);
  border: 1px solid transparent;
}

#system-permissions-store tbody {
  overflow-y: auto;
  max-height: 300px;
  display: block;
}

#system-permissions-store thead,
#system-permissions-store tbody tr {
  display: table;
  width: 100%;
  table-layout: fixed;
}

.nav-pills .nav-link {
  background: var(--gray-50);
  color: var(--gray-600);
}

.nav-pills .nav-link.active {
  border-bottom: 1px solid var(--primary-color) !important;
  background: var(--primary-color);
  color: var(--gray-50);
}

.left-primary-gradient-border {
  border-width: 2px;
  border-style: solid;
  border-image: linear-gradient(
      to bottom,
      var(--primary-color),
      var(--secondary-color)
    )
    1 100%;
  border-right: 0;
  border-top: 0;
  border-bottom: 0;
}

.text-lg-regular.body.user-select-none p {
  padding: 0;
  margin: 0;
}

.body {
  white-space: pre-line !important;
  word-break: break-word;
}

.note-editor {
  font-family: OpenSansRegular;
}

.tag a {
  opacity: 0.6;
  cursor: pointer;
  margin-left: 4px;
}

.tag a:hover {
  opacity: 1;
}

.step {
  border: 1px solid transparent;
  border-radius: 4px;
}

.step:hover {
  cursor: pointer;
  border-color: var(--gray-300);
}

.action-buttons,
.carousel-indicators,
.carousel-control-prev,
.carousel-control-next {
  opacity: 0;
  visibility: hidden;
}

.step:hover .action-buttons,
.step:hover .carousel-indicators,
.step:hover .carousel-control-prev,
.step:hover .carousel-control-next {
  opacity: 1;
  visibility: visible;
}

.waiting {
  opacity: 0.75 !important;
  pointer-events: none !important;
}

.copy-protocol:hover {
  cursor: pointer;
}

.dataTables_filter input:focus {
  border: 1px solid transparent !important;
}

#clientAttendances_by_clientUser_table .table thead th {
  border: none !important;
  font-family: OpenSansRegular !important;
  color: var(--secondary-color) !important;
}

#clientAttendances_by_clientUser_table th {
  border-top: none !important;
  padding: 1rem;
}

#clientAttendances_by_clientUser_table .table td {
  border-bottom: 1px solid var(--tertiary-color) !important;
  color: var(--gray-800) !important;
}

.pointer-events-none {
  pointer-events: none !important;
}

.hide-force {
  display: none !important;
}

.badge-done {
  background-color: var(--done-outer);
  color: var(--complementary-4);
}

.badge-in-progress {
  background-color: var(--in-progress-outer);
  color: var(--complementary-3);
}

.badge-waiting {
  background-color: var(--waiting-outer);
  color: var(--complementary-2);
}

.badge-bot {
  background-color: var(--bot-outer);
  color: var(--complementary-1);
}

.badge-waiting-rating {
  background-color: var(--waiting-rating-outer);
  color: var(--waiting-rating-inner);
}

.reply-container {
  position: relative;
  display: flex;
  overflow: hidden;
  border-radius: 0.3rem;
  background-color: var(--gray-200);
}

.document-container {
  position: relative;
  display: flex;
  overflow: hidden;
  border-radius: 0.3rem;
  background-color: var(--gray-200);
  padding: 13px 19px;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-items: flex-start;
}

.document-container:hover {
  cursor: pointer;
}

.document-container-inner {
  flex-grow: 1;
  flex: 1;
}

.chat-segment.sent .reply-container,
.chat-segment.sent .document-container {
  background-color: #b88f04;
}

.chat-segment.get .reply-container,
.chat-segment.get .document-container {
  background-color: var(--gray-200);
}

.chat-segment.get .document-extension {
  color: var(--gray-600);
}

.chat-segment.sent .document-extension {
  color: var(--gray-700);
}

.chat-segment.get .document-icon {
  color: var(--gray-700);
}

.chat-segment.sent .document-icon {
  color: var(--gray-900);
}

.chat-segment.get .download-icon {
  color: var(--gray-700);
}

.chat-segment.sent .download-icon {
  display: none;
}

.chat-segment.get .spinner-border {
  color: var(--gray-700);
}

.chat-segment.sent .spinner-border {
  color: var(--gray-900);
}

.reply-column {
  flex: none;
  width: 4px;
  background-color: var(--black-text);
}

.sent .reply-column,
.get .sent .reply-column {
  background-color: var(--primary-color);
}

.sent .replied-author,
.get .sent .replied-author {
  color: var(--primary-color);
}

.get .reply-column,
.sent .get .reply-column,
.sent .sent .reply-column {
  background-color: var(--black-text);
}

.get .replied-author,
.sent .get .replied-author,
.sent .sent .replied-author {
  color: var(--black-text);
}

.reply-content-container {
  display: flex;
  flex-grow: 1;
  align-items: center;
  padding: 10px 12px 8px 8px;
  overflow: hidden;
}

.reply-chat-content-container .reply-content-container {
  padding: 15px 12px 15px 11px;
}

.reply-content-empty {
  flex: 0 0 auto;
  overflow: hidden;
}

.reply-spacer {
  position: relative;
  width: 58px;
  height: 100%;
  background-position: center;
  background-size: cover;
}

.reply-content-inner {
  flex-grow: 1;
  overflow: hidden;
}

.replied-text {
  font-family: OpenSansRegular;
  font-size: 14px;
  color: var(--gray-900);
}

.fileName-text {
  font-family: OpenSansRegular;
  font-size: 16px;
  color: var(--black-text);
}

.replied-text,
.fileName-text {
  display: -webkit-box;
  text-overflow: ellipsis;
  -ms-word-break: break-word;
  word-break: break-word;
  white-space: pre-wrap;
  line-height: 20px;
  max-height: 60px;
  overflow: hidden;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
}

.chat-segment:has(img) {
  max-width: var(--width-msg-bubble-with-media) !important;
}

.chat-segment:has(.document-container) {
  width: var(--width-msg-bubble-with-media) !important;
}

.dropdown.bubble_options {
  position: absolute;
  right: 0;
  top: 0;
  z-index: 2;
  overflow: hidden;
  visibility: hidden;
  padding-top: 7px;
  padding-right: 8px;
  padding-left: 6px;
  padding-bottom: 3px;
  border-bottom-left-radius: 50%;
  border-top-right-radius: 0.3rem;
}

.chat-segment.get:not(:has(.chat-image img)) .dropdown.bubble_options {
  background: var(--gray-50);
  box-shadow: -3px 3px 10px 4px rgba(255, 255, 255, 0.5);
}

.chat-segment.sent:not(:has(chat-image img)) .dropdown.bubble_options {
  background: transparent;
  box-shadow: -3px 3px 10px 2px #f2bd1f2d;
}

.chat-segment:hover .dropdown.bubble_options {
  overflow: initial;
  visibility: visible;
}

.bubble_options i {
  font-size: 16px;
}

.reply-container-margin {
  margin-left: var(--chat-reply-container-margin);
}

.reply-button-cancel-container {
  width: var(--chat-reply-container-margin);
  min-width: var(--chat-reply-container-margin);
}

.background-transparent {
  background: transparent !important;
}

.chat-reply-container {
  display: none;
}

@media all and (max-width: 900px) {
  .chat-panel .chat-segment,
  .internal-chat-panel .chat-segment,
  .chat-exportable-container .chat-panel-sup .chat-segment:not(.time) {
    max-width: 95%;
  }
}

@media all and (min-width: 901px) and (max-width: 1024px) {
  .chat-panel .chat-segment,
  .internal-chat-panel .chat-segment,
  .chat-exportable-container .chat-panel-sup .chat-segment:not(.time) {
    max-width: 85%;
  }
}

@media all and (min-width: 1025px) and (max-width: 1300px) {
  .chat-panel .chat-segment,
  .internal-chat-panel .chat-segment,
  .chat-exportable-container .chat-panel-sup .chat-segment:not(.time) {
    max-width: 75%;
  }
}

@media all and (min-width: 1301px) {
  .chat-panel .chat-segment,
  .chat-exportable-container .chat-panel-sup .chat-segment:not(.time) {
    max-width: 65%;
  }

  .internal-chat-panel .chat-segment.message {
    max-width: 55%;
  }
}

@keyframes highlightMessageAnimation {
  50% {
    filter: brightness(1.2) contrast(0.85);
  }
}

.highlightMessageAnimation {
  animation-name: highlightMessageAnimation;
  animation-duration: 1000ms;
  animation-timing-function: cubic-bezier(0.24, 0.91, 0.01, 0.99);
}

.document-container .spinner-border {
  width: 2em;
  height: 2em;
  border-width: 0.25em;
}

.chat-panel-container {
  flex: 1 1 0;
  position: relative;
}

.chat-dragged-file-container {
  height: 100%;
  width: 100%;
  position: absolute;
  background-color: var(--gray-50);
  padding: 2rem;
  display: none;
}

.drag-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  width: 100%;
  border: 3px dotted var(--primary-color);
}

.drag-container i,
.drag-container span {
  color: var(--primary-color);
}

.drag-container span {
  font-family: OpenSansSemiBold;
  font-size: 26px;
  margin-left: 1rem;
}

.tui-image-editor-out {
  width: 100%;
  height: 100%;
  position: absolute;
  display: none;
}

.close-tui-image-editor {
  position: absolute;
  color: var(--gray-50) !important;
  background: transparent;
  right: 18px;
  top: 18px;
  z-index: 999;
  font-family: OpenSansBold;
  line-height: 1;
  transition: all 0.3s;
}

.close-tui-image-editor i {
  font-size: 24px;
}

.close-tui-image-editor:hover {
  color: var(--primary-color) !important;
}

.chat-segment:hover .dropdown.bubble_options .open-chat-reply-container {
  left: 0;
}

.open-chat-reply-container {
  position: relative;
  left: 12px;
  transition: all 50ms linear;
}

.schedule-link:hover,
.internal-chat-link:hover {
  cursor: pointer;
}

.schedule-link i,
.internal-chat-link i {
  font-size: 25px;
  color: var(--gray-dark) !important;
  transition: color 50ms linear;
}

.schedule-link:hover i,
.internal-chat-link:hover i {
  color: var(--primary-color) !important;
}

.dropleft.attendance-options i {
  font-size: 24px;
}

.dropleft.attendance-options a {
  margin-right: 8px;
}

#scheduled_attendace_modal .fc-event-dot {
  width: 14px !important;
  height: 14px !important;
  border-radius: 7px !important;
}

.load-more-messages-container {
  position: absolute;
  width: 100%;
}

.load-more-messages-inner {
  background: var(--gray-50);
  width: 2.5rem;
  height: 2.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
}

.load-more-messages-spinner {
  width: 1.7rem;
  height: 1.7rem;
  border-width: 0.2em;
  color: var(--primary-color);
}

.chat-panel-scroll-bottom,
.internal-chat-panel-scroll-bottom {
  position: absolute;
  bottom: 15px;
  right: 15px;
  z-index: 932;
}

.view-attendance-history i {
  font-size: 1.2rem;
}

.border-card {
  border: 1px solid rgba(0, 0, 0, 0.08);
  overflow: hidden;
}

.profile-option i,
.access-option i {
  font-size: 21px;
}

.profile-image {
  object-fit: cover;
}
.profile-image:hover {
  cursor: pointer;
}

.form-group .profile-image {
  display: block;
  margin: 0 auto 4px;
}

.profile-image-border {
  border: 2px solid var(--primary-color);
  padding: 1px;
  object-fit: cover;
}

.internal-chat-container {
  width: 100%;
  height: 100%;
  position: relative;
}

.internal-chat-item {
  display: flex;
  align-items: center;
  gap: 6px;
  margin-bottom: 6px;
  background: var(--gray-50);
  padding: 0.25rem 0.5rem;
  transition: background 0.2s ease;
}

.internal-chat-item:hover {
  background: var(--primary-color-400);
}

.internal-chat-panel {
  padding-bottom: 1rem;
}

.chat-segment-header {
  display: flex;
  align-items: start;
  margin-left: 1rem;
  gap: 6px;
}

.internal-chat-panel .chat-segment.message {
  margin: 0;
  margin-right: 5rem;
}

.internal-chat-panel .chat-segment.get {
  margin-left: 1rem;
}

.internal-chat-panel.group .chat-segment.get {
  margin-left: 3.875rem;
}

/*.internal-chat-panel.group .chat-segment.sent {
    margin-right: 3.875rem;
}*/

.internal-chat-panel .chat-segment.sent,
.internal-chat-panel.group .chat-segment.sent {
  margin-right: 1rem;
}

.internal-chat-panel .chat-segment.message {
  margin-top: 0.25rem;
}

.internal-chat-panel.group .chat-segment-header .chat-segment.message {
  background: var(--gray-50);
  color: var(--gray-800);
}

.internal-chat-panel .chat-segment.message.get + .chat-segment.message.sent,
.internal-chat-panel .chat-segment.message.sent + .chat-segment.message.get,
.internal-chat-panel.group .chat-segment.message.sent + .chat-segment-header,
.internal-chat-panel.group .chat-segment.message.get + .chat-segment-header,
.internal-chat-panel.group .chat-segment-header + .chat-segment.message.sent {
  margin-top: 1rem;
}

.internal-chat-panel .chat-segment.message:first-child,
.chat-segment-header:first-child {
  margin-top: 1rem;
}

.markdown-unread-messages {
  background: var(--gray-300);
  margin: 0.75rem 0;
  padding: 0.55rem 0;
}

.markdown-unread-messages span {
  font-family: OpenSansRegular;
  font-size: 14px;
  width: fit-content;
  color: var(--black-text);
  background: var(--gray-50);
  padding: 6px;
  opacity: 0.8;
  border-radius: 6px;
}

.chat-segment.time.load-more-group-messages span {
  opacity: 1;
  transition: all;
}

.chat-segment.time.load-more-group-messages span:hover {
  opacity: 0.8;
  cursor: pointer;
}

.floating-date-container {
  width: calc(100% - 4px);
  position: absolute;
}

.floating-date-container .chat-segment.time {
  width: fit-content;
}

.floating-date-container .chat-segment.time span {
  opacity: 1;
}

.blue-check {
  color: var(--double-check-color);
}

.border-bottom-primary-gradient {
  border-bottom-width: 2px;
  border-bottom-style: solid;
  border-image: var(--primary-gradient) 1;
}

.badge-model-message {
  cursor: pointer;
  font-family: OpenSansSemiBold;
}

.badge-model-message-approved {
  background-color: var(--message-model-approved-outer);
  color: var(--message-model-approved-inner);
}

.badge-model-message-pending {
  background-color: var(--message-model-pending-outer);
  color: var(--message-model-pending-inner);
}

.badge-model-message-rejected {
  background-color: var(--message-model-rejected-outer);
  color: var(--message-model-rejected-inner);
}

.badge-model-message-not-mapped {
  background-color: var(--gray-400);
  color: var(--gray-1000);
}

.break-word {
  overflow-wrap: break-word !important;
}

.gap-10 {
  gap: 10px !important;
}

.flex-none {
  flex: none !important;
}

.model-message-divider {
  height: 0;
  overflow: hidden;
  border-top: 1px solid var(--gray-400);
  margin: 0 0.5rem;
}

.display-buttons-container
  .model-action-button:first-of-type
  .model-message-divider {
  margin: 0;
}

.model-message-max-width {
  max-width: var(--max-width-model-message-bubble) !important;
}

.overflow-hidden {
  overflow: hidden;
}

.position-initial {
  position: initial !important;
}

.print,
.chat-exportable-container {
  display: none !important;
}

.no-print {
  display: block;
}

@media print {
  * {
    background: transparent;
    color: #000;
    text-shadow: none;
    filter: none;
  }

  .print {
    display: block;
  }

  .page-wrapper {
    display: -webkit-box !important;
  }

  .page-inner {
    display: none !important;
  }

  .chat-exportable-container {
    display: block !important;
  }

  .chat-protocol,
  .protocol-num {
    color: var(--gray-600) !important;
  }

  .pace {
    display: none;
  }

  .img {
    display: block !important;
    visibility: visible !important;
  }
}

li > a.custom-menu-item {
  background: var(--complementary-2) !important;
  color: #000 !important;
}

.dropup.quick_answers #quick_answers_list {
  max-height: var(--dropup-quick-answers-ul-max-height);
  overflow-y: auto;
}

.dropup.quick_answers #quick_answers_list li > ul {
  max-height: none;
  overflow-y: visible;
}
